Bug 1251834 - Review Request: python-rackspace-auth-openstack - Rackspace authentication for openstack clients
Review Request: python-rackspace-auth-openstack - Rackspace authentication f...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Miroslav Suchý
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-10 02:06 EDT by Pete Travis
Modified: 2015-10-31 22:49 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-10-31 22:49:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
msuchy: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Pete Travis 2015-08-10 02:06:21 EDT
Spec URL: https://immanetize.fedorapeople.org/python-rackspace-auth-openstack.spec
SRPM URL: https://immanetize.fedorapeople.org/python-rackspace-auth-openstack-1.3-1.fc24.src.rpm
Description: A plugin for OpenStack clients which provides client support for Rackspace authentication extensions for OpenStack.

Fedora Account System Username: immanetize
Comment 1 Miroslav Suchý 2015-08-18 14:18:32 EDT
Note that macros are evaluated even in comments.
You probably do not want that.

Use macros consistently. I.e. %{buildroot} instead of $RPM_BUILD_ROOT.

Why is there 
  %doc
withouth anything specified?

Directory 
  %{python2_sitelib}/%{modname}
is not owned. You should own it.

You may use macro
  %py2_install
see 
  https://fedoraproject.org/wiki/Packaging:Python
Comment 2 Miroslav Suchý 2015-08-18 16:59:30 EDT
Each changelog entry should end with version-release .

description-line-too-long: C A plugin for OpenStack clients which provides client support for Rackspace authentication extensions for OpenStack.

You should ass LICENSE as %license
and README.rst as %doc.
Comment 3 Pete Travis 2015-08-20 10:46:39 EDT
Thanks, Miroslav.  I've made those improvements, and a few more (including actually declaring requires, d'oh)

Spec URL: https://immanetize.fedorapeople.org/python-rackspace-auth-openstack.spec

SRPM URL: https://immanetize.fedorapeople.org/python-rackspace-auth-openstack-1.3-1.fc24.src.rpm
Comment 4 Miroslav Suchý 2015-08-21 04:46:36 EDT
%{python2_sitelib}/%{modname}
%{python2_sitelib}/%{modname}/*

The first line say "include directory %{python2_sitelib}/%{modname} and everything below".
The second line say "include %{python2_sitelib}/%{modname}/* and everything below".
Therefore
  %{python2_sitelib}/%{modname}/*
is listed twice.
It should be:
  %dir %{python2_sitelib}/%{modname}
  %{python2_sitelib}/%{modname}/*
or even simplier:
  %{python2_sitelib}/%{modname}


Cleaning buildroot tag in %install is not needed (unless you target EL5).See 
https://fedoraproject.org/wiki/Packaging:Guidelines#BuildRoot_tag

Requires:       python3-novaclient
Requires:       python3-httpretty
Requires:       python3-py
Requires:       python3-invoke
^ This should be put after
%package -n python3-rackspace-auth-openstack
Otherwise it is listed as requires for python-%{project}.
Note: BuildRequires are correct and should stay on the place where it is now.


> SRPM URL: https://immanetize.fedorapeople.org/python-rackspace-auth-openstack-1.3-1.fc24.src.rpm
This is still created using old one spec file. Be careful.
This is exactly the reason why it is good habit to increment release with *every* change of spec.
Comment 5 Pete Travis 2015-08-21 13:17:41 EDT
Spec URL: https://immanetize.fedorapeople.org/python-rackspace-auth-openstack.spec

SRPM URL: https://immanetize.fedorapeople.org/python-rackspace-auth-openstack-1.3-3.fc24.src.rpm

I fixed a couple other errors as well, including turning off the py3 subpackage until there is upstream support.  Some odd behavior from mock caused the srpm thing, and I didn't catch it on upload; it doesn't clean nicely, and ends uo using an old spec... just that one workstation, will look into it OOB.
Comment 6 Miroslav Suchý 2015-08-25 09:11:53 EDT
APPROVED
Comment 7 Pete Travis 2015-08-25 22:33:42 EDT
New Package SCM Request
=======================
Package Name: python-rackspace-auth-openstack
Short Description: Rackspace authentication for openstack clients
Upstream URL: https://github.com/rackerlabs/rackspace-auth-openstack
Owners: immanetize
Branches: f21 f22 f23 el6 epel7
Comment 8 Gwyn Ciesla 2015-08-26 09:24:36 EDT
Git done (by process-git-requests).
Comment 9 Fedora Update System 2015-08-26 22:04:25 EDT
python-rackspace-auth-openstack-1.3-3.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-14371
Comment 10 Fedora Update System 2015-08-26 22:11:57 EDT
python-rackspace-auth-openstack-1.3-3.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-14372
Comment 11 Fedora Update System 2015-08-28 14:57:54 EDT
python-rackspace-auth-openstack-1.3-3.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update python-rackspace-auth-openstack'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-14372
Comment 12 Fedora Update System 2015-08-31 14:53:14 EDT
python-rackspace-auth-openstack-1.3-3.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update python-rackspace-auth-openstack'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-14371
Comment 13 Upstream Release Monitoring 2015-09-24 11:04:17 EDT
jgrulich's scratch build of kdevelop?#c8e2b9bc57f11e41f3dc6612cdbcc591078d9062 for f22-candidate and git://pkgs.fedoraproject.org/kdevelop?#c8e2b9bc57f11e41f3dc6612cdbcc591078d9062 completed http://koji.fedoraproject.org/koji/taskinfo?taskID=11212117
Comment 14 Fedora Update System 2015-10-31 22:49:35 EDT
python-rackspace-auth-openstack-1.3-3.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.